- Qt 6.8
- Qt GUI
- C++ Classes
- QGenericPluginFactory
- Qt 6.8.3 Reference Documentation

# QGenericPluginFactory Class

The QGenericPluginFactory class creates plugin drivers. More...

Header: | `#include <QGenericPluginFactory>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`

- List of all members, including inherited members
- QGenericPluginFactory is part of Plugin Classes.

## Static Public Members

QObject * | create(const QString &key, const QString &specification)
QStringList | keys()

## Detailed Description

See also QGenericPlugin.

## Member Function Documentation

### `[static]` QObject *QGenericPluginFactory::create(const QString &key, const QString &specification)

Creates the driver specified by key, using the given specification.

Note that the keys are case-insensitive.

See also keys().

### `[static]` QStringList QGenericPluginFactory::keys()

Returns the list of valid keys, i.e. the available mouse drivers.

See also create().